
<nav class="navbar navbar-inverse">
  <div class="container-fluid">
    <div class="navbar-header">
      <div class="navbar-brand">Visaal</div>
      <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
        <mat-icon>more_vert</mat-icon>
      </button>
      <mat-menu #menu="matMenu">
        <button mat-menu-item>
          <mat-icon>dialpad</mat-icon>
          <span><button (click)="addPatient()" class="btn btn-info">Ajouter un Patient</button></span>
        </button>

        <button mat-menu-item>
          <mat-icon>dialpad</mat-icon>
          <span><button (click)="listePatient()" class="btn btn-info">Liste des soignants</button></span>
        </button>

        <button mat-menu-item>
          <mat-icon>dialpad</mat-icon>
          <span><button (click)="addSoignant()" class="btn btn-info">Ajouter un soignant</button></span>
        </button>

        <!--<button mat-menu-item>
          <mat-icon>dialpad</mat-icon>
          <span><button (click)="addAppareil()" class="btn btn-info">Ajouter un Appareil</button></span>
        </button>-->
        <button mat-menu-item>
          <mat-icon>notifications_off</mat-icon>
          <span>Disable alerts</span>
        </button>
      </mat-menu>
    </div>
    <ul class="nav navbar-nav navbar-right">
      <li><a (click)="disco()"><span class="glyphicon glyphicon-log-out"></span> Sign Out</a></li>
    </ul>
  </div>
</nav>
<div class="container">
  <div class="container col-m-12">
    <h1 class="text-center" style="text-align:center">
      Bienvenue chez Kahines Concept!
    </h1>
    <div class="image">
    <div class="logo img"><img src="assets/logoVisaal.jpg" width=450px height=150px; alt="">
      <p class="text-visaal">Dispositif Urinaire portatif autonome & connecté</p>
      <p class="descipt">VISAAL est un dispositif urinaire nomade, autonome et connecté, permettant à toute personne en situation de mobilité réduite
        ou valide, dans des situations complexes, d'uriner en toute autonomie, confort et hygiène.</p>
    </div>
      <div class="dispositif img"><img src="assets/ASSEMBLAGE%2006.JPG" width=150px height=300px; alt=""></div>
    </div>
    <!-- SideBar--->
    <div class="sidenav">
      <div *ngIf="authService.currentUser">
        <h5 class="text-primary soignant">Le Soignant</h5>
        <h4>
          <strong>Email:</strong> {{ authService.currentUserName }}
        </h4>
        <br>
        <div>
          <button (click)="addPatient()" class="btn btn-info">Ajouter un Patient</button>
        </div>
        <br>
        <div>
          <button (click)="listePatient()" class="btn btn-info">Liste des soignants</button>
        </div>
        <br>
        <div>
          <button (click)="addSoignant()" class="btn btn-info">Ajouter un soignant</button>
        </div>
        <br>
        <!--<div>
          <button (click)="addAppareil()" class="btn btn-info">Ajouter un Appareil</button>
        </div>-->
        <br>
        <button (click)="disco()" class="btn btn-info">Deconnexion</button>
      </div>
      </div>
        <div class="main-table">
          <h2 class="patient-list">liste des Patients</h2>
          <div class="table-responsive table-container">
            <div class="form-group">
              <input type="text" class="form-control" placeholder="Rechercher un patient" [(ngModel)]="filterTerm">
            </div>
            <table class="table table-dark table-hover table-striped">
              <thead class="thead-light">
              <tr>
                <th>Nom</th>
                <th>Prenom</th>
                <th>Date de naissance</th>
                <th>Sexe</th>
                <th>Service</th>
                <th>Etage</th>
                <th>N° de chambre</th>
                <th>N° de lit</th>
              </tr>
              </thead>
              <tbody>
              <tr *ngFor="let patient of patients | filter:filterTerm">
                <td>{{patient.lastName}}</td>
                <td>{{patient.firstName}}</td>
                <td>{{patient.dateOfBirthday}}</td>
                <td>{{patient.sex}}</td>
                <td>{{patient.service}}</td>
                <td>{{patient.floor}}</td>
                <td>{{patient.numberOfRoom}}</td>
                <td>{{patient.numberOfBed}}</td>
                <td>
                  <!--<button (click)="deletePatient(patient)" style="margin-left: 20px;" class="btn btn-info"> Supprimer</button>-->
                  <!--<button mat-button (click)="openDialog(patient)" class="btn btn-info">Supprimer</button>-->
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
  </div>
</div>
